
<div class="ord ord_default" :class="{ ord_closed: order.status_closing }">
    <div class="ord__row">
        <div class="ord__cell ord__cell_start_section">
            <div class="ord__cell_side ord__cell_side_top">
                <h5 class="ord__title">
                    <a class="link link_title" :href=`/order/detail/${order.id}`>${ order.order_type }</a>
                </h5>
                <div class="ord__id" >
                    №${ order.number_buh } <small v-if="order.date_start"> от ${(order.date_start || '').split('-').reverse().join('.')}</small>
                </div>
                <div v-if="order.order_type == 'Подбор «под ключ»'">
                    {% if not user.is_client and not order.order_type_code == 'PPK' %}
                    <div class="ord__comment_list">
                        ${ order.comment }
                    </div>
                    {% endif %}
                </div>
                <date-range v-if="order.order_type == 'Подбор «под ключ»'" v-bind:order="order"></date-range>
                <div class="ord__reports" v-if="order.reports_count">
                    <img v-if="order.reports_count > 0 || (order.reports_non_read_count && order.reports_non_read_count > 0)" src="/static/img/assets/orders/order-report.svg" alt="">
                    <a class="link link_title" :href="`/order/detail/${order.id}#reports`">
                        <span> Отчетов <b>${ order.reports_count }</b> </span> {% if user.is_leader %}
                        <span v-if="order.reports_non_read_count && order.reports_non_read_count > 0" style="margin-left: 2px;"><b style="color:red">+${order.reports_non_read_count}</b></span> {% endif %}
                    </a>
                </div>

                <div v-if="order.status_closing && order.status_closing_date" class="ord__closed_date">
                    Закрыт: ${order.status_closing_date}
                </div>
            </div>
            <div class="ord__cell_side ord__cell_side_bottom">
                <div class="ord__user_info">
                    <div class="ord__user_info_row">
                        <div class="ord__user_info_icon">
                            <img src="/static/img/assets/orders/order-position.svg" alt="">
                        </div>
                        <div class="ord__user_info_text" v-if="order.filial">
                            ${order.filial.name}
                        </div>
                    </div>
                    <div class="ord__user_info_row">
                        <div class="ord__user_info_icon">
                            <img src="/static/img/assets/orders/order-human.svg" alt="">
                        </div>
                        <div class="ord__user_info_text">
                            {% if perms.core.view_user %}
                            <a class="link link_title" :href="`/user/user_detail/${order.client.id}`">${ order.client.full_name }</a> {% else %}
                            <a class="link link_title" :href="order.client.id == {{ request.user.id }} ? `/user/user_detail/${order.client.id}` : null">${ order.client.full_name }</a> {% endif %}
                        </div>
                    </div>
                    <div class="ord__user_info_row">
                        <div class="ord__user_info_icon">
                            <img src="/static/img/assets/orders/order-phone.svg" alt="">
                        </div>
                        <div class="ord__user_info_text">
                            <a class="link link_title" :href="`tel:${order.client.phone}`">
                                ${order.client.phone}
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="ord__cell ord__cell_middle_section">
            <div v-if="order.order_type != 'Подбор «под ключ»'" style="width:100%">
                {% if not user.is_client and not order.order_type_code == 'PPK' %}
                <div class="ord__comment_list">
                  <div class="comment">
                    <p>${ order.comment }</p>
                  </div>  
                  <div class="mark-text" v-if="order.mark_model">
                    <span>Марка и модель: <a :href="order.link_url">${order.mark_model}</a></span>
                  </div>
                  <div class="date-text">
                    <span>${order.date_of_inspection_converted}</span>
                  </div>
                  <div class="inspection-text">
                    <span>${order.inspection_place}</span>
                  </div>
                </div>
                {% endif %}
            </div>
            <div v-else class="ord__criteria">
                <div v-if="isSlidersActive && isOrderHasTwoCars(order.podborauto_set)" class="ord__criteria_counter-mobile">
                    Критерии (<span>1</span>/2):
                </div>
                <div class="ord__criteria_holder" :class="isOrderHasTwoCars(order.podborauto_set) ? 'ord__criteria_item_twise' : null">
                    <div v-for="ordAuto in isOrderHasTwoCars(order.podborauto_set) ? [0,1] : [0]" class="ord__criteria_item" v-html="getAutoPpk(order.podborauto_set[ordAuto])"></div>
                </div>
            </div>
        </div>
        <div class="ord__cell ord__cell_end_section">
            <div class="ord__cell_side ord__cell_side_top ord__performers">
                <div class="ord__performers_item">
                    <div class="ord__performers_title">
                        <span>Подбор:</span> {% if perms.order.change_order and not user.order_exclude and not user.order_exclude%}
                        <order-change-executor v-bind:order="order" type="expert" v-on:update:order="onUpdateOrder" /> {% endif %}
                    </div>
                    <div class="ord__performers_users" v-if="order.expert.length > 0">
                        <div v-for="user in order.expert">
                            {% if perms.core.view_user %}
                            <a class="link link_title" :href="`/user/user_detail/${user.id}`">${ user.full_name }</a> {% else %}
                            <a class="link link_title" :href="user.id == {{ request.user.id }} ? `/user/user_detail/${user.id}` : null">${ user.full_name }</a> {% endif %}
                        </div>
                    </div>
                    <div v-else class="ord__performers_users">
                        <small>Не выбрано</small>
                    </div>
                </div>
                <div class="ord__performers_item">
                    <div class="ord__performers_title">
                        <span>Перепроверка:</span> {% if perms.order.change_order and not user.order_exclude %}
                        <order-change-executor v-bind:order.sync="order" type="expert_check" v-on:update:order="onUpdateOrder" /> {% endif %}
                    </div>
                    <div class="ord__performers_users" v-if="order.expert_check.length > 0">
                        <div v-for="user in order.expert_check">
                            {% if perms.core.view_user %}
                            <a class="link link_title" :href="`/user/user_detail/${user.id}`">${ user.full_name }</a> {% else %}
                            <a class="link link_title" :href="user.id == {{ request.user.id }} ? `/user/user_detail/${user.id}` : null">${ user.full_name }</a> {% endif %}
                        </div>
                    </div>
                    <div v-else class="ord__performers_users">
                        <small>Не выбрано</small>
                    </div>
                </div>
                <div class="ord__performers_item">
                    <div class="ord__performers_title">
                        <span>Сдача:</span> {% if perms.order.change_order and not user.is_hr %}
                        <order-change-executor v-bind:order.sync="order" type="transferring" v-on:update:order="onUpdateOrder" /> {% endif %}
                    </div>
                    <div class="ord__performers_users" v-if="order.transferring.length > 0">
                        <div v-for="user in order.transferring">
                            {% if perms.core.view_user %}
                            <a class="link link_title" :href="`/user/user_detail/${user.id}`">${ user.full_name }</a> {% else %}
                            <a class="link link_title" :href="user.id == {{ request.user.id }} ? `/user/user_detail/${user.id}` : null">${ user.full_name }</a> {% endif %}
                        </div>
                    </div>
                    <div v-else class="ord__performers_users">
                        <small>Не выбрано</small>
                    </div>
                </div>
                <!-- <div class="variable__value">${ getReports(order) }</div> -->
            </div>

            {% if user.is_admin or user.is_leader or user.is_acounter or user.is_expert %}
            <div class="ord__performers_item" v-if="order.refund_amount != 0 && order.refund_amount != null">
                <div class="ord__expert_compensation">
                    <span>Возврат: ${getOrderCost(order.refund_amount)} ₽</span>
                </div>
            </div>
            <div class="ord__performers_item" v-if="order.expert_compensation != 0 && order.expert_compensation != null">
                <div class="ord__expert_compensation">
                    <span>Компенсация: ${getOrderCost(order.expert_compensation)} ₽</span>
                </div>
            </div>
            {% endif %}
            <div class="ord__cell_side ord__cell_side_bottom">
                <div class="ord__price">
                    ${getOrderCost(order.cost)} ₽
                </div>
                <div class="ord__payment">
                    <div class="ord__payment_status" :class="getOrderPaymentStatus(order.status_pay)">
                        ${ order.status_pay }
                        <span v-if="order.paid">${order.paid} ₽</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div v-if="order.status_closing" class="ord__status ord__status_closed">
        <span>закрыт | ${ order.status }</span>
    </div>
    <div v-else-if="order.canceled" class="ord__status status_cancelled">отменен</div>
    <div v-else class="ord__status" :class="getOrderStatusClass(order.status)">
        <span>${ order.status }</span>
    </div>
    <div class="ord__actions">
        {% if not user.is_hr and not user.is_client %}
        <dropdown>
            {% if perms.order.change_order and not user.is_expert %}
            <div class="menu-controls__item"><a class="menu-controls__link" :href="'/order/edit/' + order.id">Редактировать</a></div>
            {% endif %} {% if perms.service.add_podborauto and not user.is_expert %}
            <div class="menu-controls__item"><a class="menu-controls__link" :href="'/podbor-add/' + order.id">Добавить
          критерий</a></div>
            {% endif %} {% if perms.auto.add_auto %}
            <div class="menu-controls__item"><a class="menu-controls__link" :href="'/order/add-auto/' + order.id">Добавить
          автомобиль</a></div>
            {% endif %} {% if perms.order.change_order and not user.is_expert %}
            <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click.prevent="closeObject(order,'order')">Сдан</a></div>
            {% endif %} {% if perms.order.delete_order and not user.is_expert %}
            <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click.prevent="removeObject(order,'order')">Удалить</a></div>
            {% endif %}
            {% if request.user.is_admin %}
                <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click.prevent="openOrderModal('change_order_status-' + order.id, order.id)">Отменить заказ</a></div>
                <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click.prevent="openOrderModal('change_order_false_status-' + order.id, order.id)">Ложный вызов</a></div>
                <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click.prevent="openOrderModal('change_order_date_of_inspection-' + order.id, order.id)">Изменить время</a></div>
                <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click.prevent="openOrderModal('change_order_inspection_place-' + order.id, order.id)">Изменить место</a></div>
            {% endif %}
            <!-- {% if perms.order.change_order and not user.order_exclude %}
      <div class="menu-controls__item">
        <a class="menu-controls__link" style="cursor: pointer;" @click="modalOpen('expert', order)">Назначить на подбор</a>
      </div>
      {% endif %}
      {% if perms.order.change_order and not user.order_exclude %}
        <div class="menu-controls__item">
          <a class="menu-controls__link" style="cursor: pointer;" @click="modalOpen('expert_check', order)">Назначить на перепроверку</a>
        </div>
      {% endif %}
      {% if perms.order.change_order and not user.order_exclude %}
        <div class="menu-controls__item">
          <a class="menu-controls__link" style="cursor: pointer;" @click="modalOpen('transferring', order)">Назначить на сдачу</a>
        </div>
      {% endif %} -->
            {% if perms.order.change_order and user.is_expert %}
            <div class="menu-controls__item">
                <a class="menu-controls__link" style="cursor: pointer;" @click="changeAutoFrom(order.id)">${ auto_from_salon(order.auto_from_salon) }</a>
            </div>
            {% endif %}
        </dropdown>
        {% endif %}
    </div>
</div>
<div class="orders-popups">

  <form class="order-popup" :id="'change_order_status-' + order.id" @submit="sendForm($event, 'change_order_status')">
    <div class="order-popup__title">
      <h3>Отменить заказ</h3>
    </div>
    <input type="hidden" name="form" value="change_order_status">
    <input type="hidden" name="order_id" :value="order.id">
    <input type="hidden" name="status" :value="7">
    <div class="fieldset__item field">
      <label class="label label_default label_l" for="cancelOrdred">Комментарий</label>
      <div class="order-popup__textarea-block control control_default control_m">
        <textarea name="comment" id="cancelOrdred" class="order-popup__textarea"></textarea>
      </div>
    </div>
    <div class="fieldset__item">
      <button class="btn btn_m btn_primary btn_block" type="submit">
        <div class="btn__grid">
          <div class="btn__title">Отправить</div>
        </div>
      </button>
    </div>
    <div class="error-msg">
      <span>Заполните все поля корректно</span>
    </div>
  </form>

  <form class="order-popup" :id="'change_order_false_status-' + order.id" @submit="sendForm($event, 'change_order_status')">
    <div class="order-popup__title">
      <h3>Ложный вызов</h3>
    </div>
    <input type="hidden" name="form" value="change_order_status">
    <input type="hidden" name="order_id" :value="order.id">
    <input type="hidden" name="status" :value="14">
    <div class="fieldset__item field">
      <label class="label label_default label_l" for="falseOrder">Комментарий</label>
      <div class="order-popup__textarea-block control control_default control_m">
        <textarea name="comment" id="falseOrder" class="order-popup__textarea"></textarea>
      </div>      
    </div>
    <div class="fieldset__item">
      <button class="btn btn_m btn_primary btn_block" type="submit">
        <div class="btn__grid">
          <div class="btn__title">Отправить</div>
        </div>
      </button>
    </div>
    <div class="error-msg">
      <span>Заполните все поля корректно</span>
    </div>
  </form>

  <form class="order-popup" :id="'change_order_date_of_inspection-' + order.id" @submit="sendForm($event, 'change_order_date_of_inspection')">
    <div class="order-popup__title">
      <h3>Изменить время</h3>
    </div>
    <input type="hidden" name="form" value="change_order_date_of_inspection">
    <input type="hidden" name="order_id" :value="order.id">
    <input type="hidden" name="date_of_inspection" :value="order.date_of_inspection">
    <div class="fieldset__item field">
      <label class="label label_default label_l" for="dateOrder">Дата</label>
      <div class="order-popup__input-block control control_default control_m">
        <input name="date" id="dateOrder" placeholder="__.__.____" maxlength="10" class="order-popup__input"/>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_l" for="timeOrder">Время</label>
      <div class="order-popup__input-block control control_default control_m">
        <input name="time" id="timeOrder" placeholder="__:__" maxlength="5" class="order-popup__input"/>
      </div>
    </div>
    <div class="fieldset__item">
      <button class="btn btn_m btn_primary btn_block" type="submit">
        <div class="btn__grid">
          <div class="btn__title">Отправить</div>
        </div>
      </button>
    </div>
    <div class="error-msg">
      <span>Заполните все поля корректно</span>
    </div>
  </form>

  <form class="order-popup" :id="'change_order_inspection_place-' + order.id" @submit="sendForm($event, 'change_order_inspection_place')">
    <div class="order-popup__title">
      <h3>Изменить место</h3>
    </div>
    <input type="hidden" name="form" value="change_order_inspection_place">
    <input type="hidden" name="order_id" :value="order.id">
    <div class="fieldset__item field">
      <label class="label label_default label_l" for="timeOrder">Место</label>
      <div class="order-popup__input-block control control_default control_m">
        <input name="inspection_place" class="order-popup__input" :value="order.inspection_place" />
      </div>
    </div>
    <div class="fieldset__item">
      <button class="btn btn_m btn_primary btn_block" type="submit">
        <div class="btn__grid">
          <div class="btn__title">Отправить</div>
        </div>
      </button>
    </div>
    <div class="error-msg">
      <span>Заполните все поля корректно</span>
    </div>
  </form>
  
</div>